ignite-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alexey Kuznetsov (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (IGNITE-9044) Update scala dependency version in Apache Ignite
Date Tue, 07 Aug 2018 12:14:00 GMT

    [ https://issues.apache.org/jira/browse/IGNITE-9044?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16571548#comment-16571548
] 

Alexey Kuznetsov commented on IGNITE-9044:
------------------------------------------

[~zzzadruga], 

Looks good for me, but there one more place to update:

in  parent/pom.xml in profile "java-9"

"<scala.library.version>2.12.4</scala.library.version>" should be updated to 2.12.6,
I checked on scala 2.12.6 release notes that 2.12.6 is compatible with 2.12.x

But this change should be be checked under Java-9.

If  tests will pass I can merge this to master.

 

> Update scala dependency version in Apache Ignite
> ------------------------------------------------
>
>                 Key: IGNITE-9044
>                 URL: https://issues.apache.org/jira/browse/IGNITE-9044
>             Project: Ignite
>          Issue Type: Improvement
>            Reporter: Dmitriy Pavlov
>            Assignee: Nikolai Kulagin
>            Priority: Major
>             Fix For: 2.7
>
>
> *ignite-scalar*
> scala.library.version=2.11.8, need to be at least 2.11.12 or newer.
> *ignite-scalar_2.10*
> scala210.library.version 2.10.6, need to be at least 2.10.7, probably newer
> *visor 2.10*
> scala210.jline.version = 2.10.4 , need to be at least 2.10.7, probably newer
> Probably impact would be wider.
> We need at least run run-all, local build.sh and optionally release candate step on TC.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message